For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
            • GETList Product Modifiers
            • POSTCreate Product Modifier
            • GETGet Product Modifier
            • PUTUpdate Product Modifier
            • DELDelete Product Modifier
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct Modifiers

Update Product Modifier

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id
PUT
/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/modifiers/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "required": true,
4 "type": "date",
5 "config": {
6 "default_value": "string",
7 "checked_by_default": true,
8 "checkbox_label": "string",
9 "date_limited": true,
10 "date_limit_mode": "range",
11 "date_earliest_value": "2025-08-15T15:52:01+00:00",
12 "date_latest_value": "2026-08-15T15:52:01+00:00",
13 "file_types_mode": "specific",
14 "file_types_supported": [
15 "images, documents, other"
16 ],
17 "file_types_other": [
18 "pdf"
19 ],
20 "file_max_size": 5,
21 "text_characters_limited": true,
22 "text_min_length": 1,
23 "text_max_length": 55,
24 "text_lines_limited": true,
25 "text_max_lines": 4,
26 "number_limited": true,
27 "number_limit_mode": "lowest",
28 "number_lowest_value": 100,
29 "number_highest_value": 1.1,
30 "number_integers_only": false,
31 "product_list_adjusts_inventory": true,
32 "product_list_adjusts_pricing": true,
33 "product_list_shipping_calc": "weight"
34 },
35 "display_name": "string",
36 "id": 12,
37 "name": "Add-a-$5-Donation1535039590-191",
38 "option_values": [
39 {
40 "adjusters": {
41 "price": {
42 "adjuster": "relative",
43 "adjuster_value": 5
44 },
45 "weight": {
46 "adjuster": "relative",
47 "adjuster_value": 5
48 },
49 "image_url": "https://cdn8.bigcommerce.com/s-{{store_hash}}/products/184/images/445/naturalcanvascart2_1024x1024__92347__29648.1534344533.1280.1280.jpg?c=2",
50 "purchasing_disabled": {
51 "status": true,
52 "message": "string"
53 }
54 },
55 "id": 1,
56 "is_default": false,
57 "label": "Green",
58 "option_id": 1,
59 "sort_order": 0,
60 "value_data": {}
61 }
62 ],
63 "product_id": 77,
64 "sort_order": 1
65 },
66 "meta": {}
67}
Updates a product modifier. Date modifiers are required to be provided in [ISO-8601 ATOM](https://www.php.net/manual/en/class.datetimeinterface.php#datetimeinterface.constants.atom) format. Excluding them in a request will throw a server error. **Setting an option value image** `adjusters.image_url` is read-only on this endpoint. To attach or replace the image shown on the storefront for an option value, upload it via [Create Product Modifier Image](/developer/api-reference/rest/admin/catalog/product-modifiers/images/create-product-modifier-image). The upload binds the image to the value automatically; no follow-up call is needed.
Was this page helpful?
Previous

Get Product Modifier

Next

Delete Product Modifier

Built with

Updates a product modifier.

Date modifiers are required to be provided in ISO-8601 ATOM format. Excluding them in a request will throw a server error.

Setting an option value image adjusters.image_url is read-only on this endpoint. To attach or replace the image shown on the storefront for an option value, upload it via Create Product Modifier Image. The upload binds the image to the value automatically; no follow-up call is needed.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired
The ID of the product to which the resource belongs.
modifier_idintegerRequired
The ID of the product modifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

Common Modifier properties.
typeenumOptional
BigCommerce API, which determines how it will display on the storefront. Acceptable values: `date`, `checkbox`, `file`, `text`, `multi_line_text`, `numbers_only_text`, `radio_buttons`, `rectangles`, `dropdown`, `product_list`, `product_list_with_images`, `swatch`. Required in a /POST.
requiredbooleanOptional

Whether or not this modifier is required at checkout. Required in a /POST.

sort_orderintegerOptional
The order the modifiers display on the product detail page.
configobjectOptional

The values for option config can vary based on the Modifier created. See Configs to learn more about the type-specific config fields.

option_valueslist of objectsOptional

Contains information about the values for modifier types with options. Certain fields are not used for specific modifier types. See Option Values for more details.

display_namestringOptional
The name of the option shown on the storefront.

Response

dataobject
Product modifier
metaobject
Response metadata.

Errors

409
Conflict Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.

BigCommerce API, which determines how it will display on the storefront. Acceptable values: date, checkbox, file, text, multi_line_text, numbers_only_text, radio_buttons, rectangles, dropdown, product_list, product_list_with_images, swatch. Required in a /POST.